<?php
// +-------------------------------------------------+
// | 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: interface_entity_authority_content_form.class.php,v 1.1.2.3 2025/12/18 14:31:01 qvarin Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class interface_entity_authority_content_form extends interface_entity_content_form {

    public function add_element($name, $label_code='', $display_type='row') {
        $data = $this->get_element_data($name);
        if (empty($label_code)) {
            $label_code = $data['label_code'];
        }
        $interface_element = static::get_instance_interface_element($data['uid'], $name, $label_code, $display_type);
        $this->elements[$name] = $interface_element;
        $this->add_grid_element($name);
        return $interface_element;
    }
}